.title {
	font-family: 'Paytone One', sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 48px;
	line-height: 1.1;
	letter-spacing: 5px;
	margin-bottom: 60px;
	text-align: center;
}
/* Product -------------------------------------- */
.products__box {
	margin-bottom: 60px;
	margin-top: 35px;
	display: flex;
	justify-content: center;
	flex-direction: row;
	gap: 60px;
}

.products__img img {
	display: block;
	max-width: 100%;
	width: 520px;
	height: 100%;
	object-fit: cover;
}

.description-products__title {
	font-family: 'Paytone One', sans-serif;
	font-size: 40px;
	text-transform: uppercase;
	font-weight: 500;
}

/* price ---------------------------- */

.description-products__price-tag {
	display: flex;
	flex-direction: row;
	gap: 20px;
	font-size: 32px;
	font-weight: 500;
	padding: 20px 0;
}

.description-products__price {
	padding: 10px 0;
}

.description-products__preprice {
	color: rgb(148, 147, 147);
	text-decoration: line-through;
}

.description-products__rebate {
	color: red;
	font-size: 16px;
	border: 1px solid rgb(248, 182, 182);
	background: rgb(248, 236, 236);
	border-radius: 15px;
	padding: 8px 13px;
}

/* ----------------------------------------- */

.description-products__text {
	font-size: 16px;
	line-height: 1.3;
	max-width: 590px;
}

.description-products__divider {
	border-bottom: 1px solid rgb(199, 198, 198);
	width: 590px;
	margin-top: 25px;
	margin-bottom: 25px;
}
/* Color ------------------------------------- */

.colors__title {
	font-size: 16px;
	line-height: 1.3;
}

.colors__list {
	display: flex;
	flex-direction: column;
	gap: 16px;
	margin-top: 16px;
}

.color {
	width: 37px;
	height: 37px;
	display: inline-block;
	position: relative;
	border: 1px solid #cdc9c9;
	border-radius: 50%;
	cursor: pointer;
	transition: opacity 0.2s ease;
}

.color:hover {
	opacity: 0.9;
}

.colors__radio {
	display: none;
}

.color::after {
	content: '';
	display: none;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(45deg);
	width: 7px;
	height: 15px;
	border: solid white;
	border-width: 0 3px 3px 0;
}

.colors__radio:checked + .color::after {
	display: block;
}

/* Кольори */
.color.black {
	background: #000;
}
.color.green {
	background: #314f4a;
}
.color.blue {
	background: #31344f;
}
.color.maroon {
	background: #800000;
}
.color.yellow {
	background: #ffcc00;
}
.color.brown {
	background: #4f4631;
}
.color.purple {
	background: #6a0dad;
}
.color.orange {
	background: rgb(235, 120, 4);
}

/*  Size ---------------------------------------- */
.sizes {
	display: flex;
	gap: 12px;
}

.size {
	padding: 12px 24px;
	border: 1px solid rgb(205, 203, 203);
	border-radius: 25px;
	background: rgb(239, 238, 238);
	cursor: pointer;
}

.size__input:checked + .size {
	color: #fff;
	background: #000;
}

.size__title {
	font-size: 16px;
	margin-bottom: 16px;
}

.size__input {
	position: absolute;
	width: 0;
	height: 0;
	opacity: 0;
}

/* ------------------------------- */
.amount {
	position: relative;
	display: block;
	width: 156px;
}

.amount__input {
	display: block;
	width: 156px;
	height: 52px;
	padding: 0 52px;
	font-size: 18px;
	text-align: center;
	border: 1px solid rgb(205, 203, 203);
	border-radius: 26px;
	background: rgb(239, 238, 238);
}

.amount__btn {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	display: flex;
	justify-content: center;
	align-items: center;
	width: 50px;
	height: 50px;
	font-size: 40px;
	font-weight: 600;
	border-radius: 50%;
	background: transparent;
}

.amount__btn--left {
	left: 1px;
	background: url(../img/minus.svg) no-repeat center / 24px 24px;
}

.amount__btn--right {
	right: 1px;
	background: url(../img/plus.svg) no-repeat center / 24px 24px;
}

.amount__content {
	display: flex;
	flex-direction: row;
	gap: 20px;
}

.add {
	width: 400px;
	height: 52px;
	border-radius: 25px;
	text-align: center;
	border: 1px solid rgb(205, 203, 203);
	background: #000;
	color: white;
}

.add__btn {
	font-size: 16px;
	padding: 14px 0;
}

/* Details products ------------------------------ */

.details__box {
	display: flex;
	flex-direction: row;
	text-align: center;
}

.details__name {
	flex: 0 1 33.333%;
	font-size: 20px;
	padding: 20px 0;
	transform: translateY(1px);
	position: relative;
	font-weight: 400;
	transition: transform 0.3s ease;
	cursor: pointer;
}

.details__name--active {
	font-weight: 600;
	border-bottom: 3px solid gray;
}

/*  DIVIDER ----------------------------------------- */

.section__divider {
	border-bottom: 1px solid rgb(199, 198, 198);
	width: 1240px;
	margin-bottom: 30px;
}

/* Reviews ------------------------------------------ */

.reviews__content {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}
/* btn ------------------ */

.buttons-menu {
	display: flex;
	flex-direction: row;
	gap: 10px;
	margin-bottom: 20px;
}

.buttons-menu__btn2 {
	width: 120px;
	height: 48px;
	text-align: left;
	padding-left: 20px;
	border-radius: 25px;
	border: 1px solid rgb(237, 235, 235);
	background: rgb(237, 235, 235) url(../img/arrow__domn.svg) 82px 20px / 13px no-repeat;
}

.buttons-menu__btn3 {
	width: 166px;
	height: 48px;
	border-radius: 25px;
	color: white;
	border: 1px solid rgb(237, 235, 235);
	background: #000;
}

/* -------------- */
.reviews__title {
	display: flex;
	gap: 15px;
	align-items: center;
	padding-bottom: 30px;
	font-size: 24px;
	font-weight: 600;
}

.reviews__subtitle {
	font-size: 16px;
	font-weight: 400;
	color: grey;
	padding-top: 5px;
}

.reviews__box {
	display: grid;
	gap: 20px;
	grid-template-columns: repeat(auto-fill, minmax(550px, 1fr));
	margin-bottom: 40px;
}

.reviews__comments {
	background: #ffffff;
	border: 1px solid #ebebeb;
	border-radius: 10px;
	transition: all 0.3s ease 0s;
	width: 610px;
	padding: 25px 50px 45px 30px;
}

.reviews__comments:hover {
	border: 1px solid grey;
	box-shadow: rgb(236, 235, 235);
	background: #f8f6f6;
}

.reviews__names {
	display: flex;
	flex-direction: row;
	padding: 10px 0;
	gap: 10px;
}

.reviews__name {
	font-size: 20px;
	font-weight: 600;
}

.reviews__text {
	display: flex;
	flex-direction: column;
	gap: 20px;
	font-size: 16px;
	line-height: 1.3;
}

/* Button ---------------------------------- */
.cards__button {
	display: flex;
	justify-content: center;
	margin-bottom: 65px;
}

.cards__btn {
	font-size: 16px;
	border: 1px solid rgb(190, 188, 188);
	padding: 10px 15px;
	width: 218px;
	height: 52px;
	border-radius: 25px;
}
/* Cards ----------------------------------------- */

.cards__box {
	display: flex;
	gap: 20px;
	margin-bottom: 120px;
}

.cards__details {
	font-size: 18px;
	font-weight: 600;
	padding: 16px 0;
	text-transform: none;
}

.cards__raiting {
	padding-top: 10px;
}

/* raiting ---------------------- */
.rating-container {
	display: flex;
	align-items: center;
	gap: 8px;
	font-size: 20px;
}

.rating {
	display: flex;
}

.full-star,
.half-star,
.empty-star {
	color: gold;
}

.rating span {
	cursor: pointer;
	transition: color 0.2s ease;
}

.rating span:not(:last-child):hover,
.rating span:not(:last-child):hover ~ span:not(:last-child) {
	color: orange;
}

.rating span:last-child {
	color: lightgray !important;
	pointer-events: none;
}

.empty-star {
	color: lightgray;
}

.half-star {
	position: relative;
	color: lightgray;
}

.half-star::before {
	content: '★';
	position: absolute;
	left: 0;
	width: 50%;
	overflow: hidden;
	color: gold;
}

.rating-number {
	font-size: 14px;
	color: #333;
}

/* -------------------------------- */

.cards__price-tag {
	display: flex;
	flex-direction: row;
	gap: 15px;
	font-size: 18px;
	padding: 10px 0;
}

.cards__price,
.card__price {
	padding: 10px 0;
}

.card__preprice {
	color: rgb(148, 147, 147);
	text-decoration: line-through;
}

.card__rebate {
	color: red;
	font-size: 10px;
	border: 1px solid rgb(248, 182, 182);
	background: rgb(248, 236, 236);
	border-radius: 15px;
	padding: 5px 8px;
}

/* Subscribing ---------------------------------------------- */

.subscribing {
	position: relative;
}

.subscribing__inner {
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: absolute;
	top: 0;
	left: 0;
	transform: translateY(-50%);
	padding: 36px 64px;
	border-radius: 20px;
	width: 100%;
	background: #000;
	color: white;
}

.subscribing__title {
	font-family: 'Paytone One', sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 40px;
	line-height: 1.1;
	letter-spacing: 1px;
}

.subscribing__form {
	display: flex;
	flex-direction: column;
}

.subscribing__input {
	display: flex;
	max-width: 450px;
	min-width: 350px;
	width: 100%;
	height: 50px;
	font-size: 14px;
	padding: 0px 20px 0px 50px;
	color: #000;
	border-radius: 25px;
	background: white url(/img/form/email.svg) 15px center no-repeat;
	margin-bottom: 15px;
}

.subscribing__btn {
	max-width: 450px;
	min-width: 350px;
	width: 100%;
	height: 50px;
	font-size: 16px;
	font-weight: 500;
	text-align: center;
	padding: 0px 40px 0px 40px;
	color: black;
	border-radius: 25px;
	background: white;
	transition: all 0.1s linear;
}

.subscribing__btn:hover {
	background: rgb(230, 229, 229);
}
